<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS Assignment</title>
    <style>
        body{
            margin: 0;
        }
        tr,td{
            text-align: center;
            padding: 10px;
        }
        tr:hover{
            background-color: aliceblue;
        }
    </style>
</head>
<body>
    <script>
        var req = new XMLHttpRequest();
        req.open("GET", "https://jsonplaceholder.typicode.com/users");
        req.send();
        req.responseType = 'json';
        req.onload = ()=>{
            var array = req.response;
            console.log(array[0]);
                function tableCreate() {
                    var body = document.getElementsByTagName('body')[0];
                    var tbl = document.createElement('table');
                    tbl.style.width = '100%';
                    tbl.style.height = '100vh';
                    tbl.style.color = 'black';
                    tbl.style.cursor = 'pointer';
                    tbl.style.borderCollapse = 'collapse';
                    tbl.setAttribute('border', '1');
                    var tbdy = document.createElement('tbody');
                    var tr1 = document.createElement('tr');
                        
                        var th1 = document.createElement('th');
                        th1.appendChild(document.createTextNode("Name"));
                        tr1.appendChild(th1);
                        var th2 = document.createElement('th');
                        th2.appendChild(document.createTextNode("Email"));
                        tr1.appendChild(th2);
                        var th3 = document.createElement('th');
                        th3.appendChild(document.createTextNode("Phone"));
                        tr1.appendChild(th3);
                        var th4 = document.createElement('th');
                        th4.appendChild(document.createTextNode("Website"));
                        tr1.appendChild(th4);
                        var th5 = document.createElement('th');
                        th5.appendChild(document.createTextNode("Company Name"));
                        tr1.appendChild(th5);
                        tbdy.appendChild(tr1);
                    for (let i = 0; i < array.length; i++) {
                        var tr = document.createElement('tr');
                        tr.setAttribute('id_val',i);
                        for (let j = 0; j < 5; j++) {
                            var a = document.createElement('a');
                            a.style.textDecoration = 'none';
                            // a.style.color = 'black';
                                var td = document.createElement('td');
                                if(j==0){
                                    // td.appendChild(document.createTextNode(array[i].name));
                                    a.appendChild(document.createTextNode(array[i].name));
                                }
                                else if(j==1){
                                    a.appendChild(document.createTextNode(array[i].email));
                                }
                                else if(j==2){
                                    a.appendChild(document.createTextNode(array[i].phone));
                                }
                                else if(j==3){
                                    a.appendChild(document.createTextNode(array[i].website));
                                }
                                else if(j==4){
                                    a.appendChild(document.createTextNode(array[i].company.name));
                                }
                                // a.href = 'samp1.html?id='+array[i].id;
                                td.appendChild(a);
                                tr.appendChild(td);
                                tr.onclick = ()=>{
                                    window.location.href = 'samp1.html?id='+array[i].id;
                                };
                            
                        }
                        tbdy.appendChild(tr);
                        // function fn(){
                        //     var win = window.open('./samp1.html','new win');
                        //     window.addEventListener("message",(msg)=>{
                        //         console.log(msg.data)
                        //         win.postMessage('h','*')
                        //     });
                        // }
                    }
                    tbl.appendChild(tbdy);
                    
                    body.appendChild(tbl)
                }
                tableCreate();
        }
        
    </script>
</body>
</html>  